Bug 427466 - properly start up seahorse agent
properly start up seahorse agent
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: seahorse (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-03 18:53 EST by David Zeuthen
Modified: 2013-03-05 22:54 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:21:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Zeuthen 2008-01-03 18:53:19 EST
Hi,

Please see bug 427316 - there's a discussion on GPG agents in general.

In particular bug 427316 comment 15 shows a way to autostart seahorse-agent. In
a way such that it won't rewrite the users .gnugp/gpg.conf (which is very bad).

Also, a previous comment on that bug references a thread on
desktop-devel-list@gnome.org where I'm asking the upstream maintainer to adopt a
similar scheme - am unsure right now whether the mechanism we use is Fedora
specific.

Anyway, this bug is to consider carrying the the file

 /etc/X11/xinit/xinitrc.d/seahorse-agent.sh 

in the package so seahorse-agent is properly autostarted. Thoughts? Thanks!
Comment 1 Seth Vidal 2008-01-03 21:12:53 EST
I'm good with adding that file. I'll get it put together and a testing package
up soon. thanks.
Comment 2 David Zeuthen 2008-01-04 19:16:59 EST
Great, thanks. For the record, this is also exactly what upstream recommends

http://live.gnome.org/Seahorse/SessionIntegration

(as you can see, sadly xorg-x11-xinit don't standardize the X11 init scripts.
What a mess!)
Comment 3 Seth Vidal 2008-01-04 22:46:20 EST
oh. Now I remember what I didn't like about this. Multiuser systems.On a system
where you have multiple users, some using kde and some using gnome. Putting as
part of the X startup means you end up having kde users have to use it, too.

any thoughts?
Comment 4 David Zeuthen 2008-01-04 23:09:02 EST
Uh, not really - the whole X init sequence is a total mess. I'm sure reading the
scripts in /etc/X11/xinit will give some positional parameter or environment
variable to key off though.

Maybe Ray knows, already adding him as Cc.
Comment 5 Seth Vidal 2008-01-07 22:25:11 EST
I talked to Ray - the answer is "this sucks, there's no way to win, however
seahorse's functionality is going to be merged into gnome-keyring anyway so just
deal with it for now and wait for it to be obsoleted hopefully in the F10
time-frame"

so I'm going to add the file for f8 and rawhide and deal with the bug reports
from kde/xfce folks if they have it installed.

Comment 6 Fedora Update System 2008-01-11 17:09:06 EST
seahorse-2.21.4-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update seahorse'
Comment 7 JM 2008-02-18 12:35:21 EST
I tried this version but the problem is that the 'seahorse-agent' in this
version supports only GPG keys and not SSH keys, when I start the
'seahorse-agent' manually I get this output:

seahorse-agent -d -v
GPG_AGENT_INFO=/tmp/seahorse-WIIvTw/S.gpg-agent:10633:1; export GPG_AGENT_INFO

when I start the seahorse-agent in version '1.0.1-9.fc8' I get this:

seahorse-agent -d -v
GPG_AGENT_INFO=/tmp/seahorse-cIaUTv/S.gpg-agent:10808:1; export GPG_AGENT_INFO
SSH_AGENT_PID=10808; export SSH_AGENT_PID
SSH_AUTH_SOCK=/tmp/ssh-fpXGH10263/agent.10263.seahorse; export SSH_AUTH_SOCK

I don't know but I thought seahorse supports SSH keys as well (at least the old
version did it)?
Comment 8 JM 2008-02-18 13:18:30 EST
I searched a little bit and found this http://live.gnome.org/GnomeKeyring/Ssh
which simple means the SSH support is gone in seahorse and instead it's part of
gnome-keyring now (http://bugzilla.gnome.org/show_bug.cgi?id=413278#c8). 

Is there a chance that a new gnome-keyring will be released together with a new
seahorse version for Fedora 8?
Comment 9 Seth Vidal 2008-02-21 10:54:10 EST
no idea. You may want to open a new bug against gnome-keyring
Comment 10 Bug Zapper 2008-05-14 00:17:11 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-06-09 19:20:08 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Jan Hutař 2009-06-10 03:20:59 EDT
Hello,
I see /etc/X11/xinit/xinitrc.d/seahorse-agent.sh file is in place in F10. Close this bug as CURRENTRELEASE?
Comment 13 Bug Zapper 2009-07-14 14:21:11 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.